/*++++++++++++++
.IDENTIFICATION usage.c
.LANGUAGE       C
.AUTHOR         Francois Ochsenbein [CDS]
.ENVIRONMENT    Unix, CDS Catalogues
.KEYWORDS       Table, FITS
.VERSION  1.0   15-May-1991 (anafile)
.VERSION  4.0   28-Feb-1994 New package
.COMMENTS       Error routines
---------------*/

#include <stdio.h>
#include <stdlib.h>

static char *pgm = "";

/*==================================================================
		Error Routines
 *==================================================================*/

void setpgm(text)
/*++++++++++++++++
.PURPOSE  Define program name
.RETURNS  -
-----------------*/
  char *text;     /* IN: Program name */
{
    pgm = text;
}

void error(text)
/*++++++++++++++++
.PURPOSE  Print error message
.RETURNS  -
-----------------*/
  char *text;     /* IN: Text before error */
{
    if (text)   fprintf(stderr, "****%s: %s\n", pgm, text);
}

void terminate(text)
/*++++++++++++++++
.PURPOSE  Error exit
.RETURNS  -
-----------------*/
  char *text;     /* IN: Text before error */
{
    error(text);
    exit(1);
}
